﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using TheOne.Configuration;

namespace QuickStart.Web
{
    public partial class ConfigTest : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            // web.config 설정으로부터 변경된 AppSettings 값을 읽으면
            // ASP.NET 웹 어플리케이션이 재시작 된다.
            //this.SettingsValue.Text = String.Format("{0} - {1}",
            //    Global.StartTime,
            //    ConfigurationManager.AppSettings["MyKey"]);

            // 반면, Fox Configuration의 외부 구성 파일(FoxConfiguration.config)은
            // 설정 변경으로 인한 어플리케이션 재시작을 동반하지 않는다.
            this.SettingsValue.Text = String.Format("{0} - {1}",
                Global.StartTime,
                FoxConfigurationManager.AppSettings["MyKey"]);
        }
    }
}